Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente [RESOLVIDO]

1. Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente [RESOLVIDO]

Lisa chao
Chaoli

(usa Lubuntu)

Enviado em 05/10/2020 - 18:54h

Oi gente! Para começo de conversa, digo que acabei de migrar para o linux. Atualmente eu uso o Lubuntu 18.04.

Estava tentando baixar o stremio, mas aconteceu alguma coisa e meu gerenciador de pacotes não abre por nada. Segue o erro que aparece:

E: O pacote stremio precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.
E: Erro interno ao abrir o cache (1). Por favor reporte.

Depois de apertar ok ele fecha automaticamente, e sempre que eu abro aparece esse erro.

Tentei usar o comando sudo dpkg --remove --force-remove-reinstreq stremio, o resultado foi esse:

dpkg: aviso: a ultrapassar problema porque --force está activo:
dpkg: aviso: O pacote está num estado de inconsistência muito mau; deve
reinstalá-lo antes de tentar a remoção.
(Lendo banco de dados ... 221252 ficheiros e directórios actualmente instalados.)
A remover stremio (4.4.106-1) ...
/var/lib/dpkg/info/stremio.prerm: linha 7: cd: /opt/stremio/icons: Arquivo ou diretório inexistente
dpkg: erro ao processar o pacote stremio (--remove):
installed stremio package pre-removal script subprocess returned error exit status 1
xdg-desktop-menu: file '/opt/stremio/smartcode-stremio.desktop' does not exist
/var/lib/dpkg/info/stremio.postinst: linha 7: cd: /opt/stremio/icons: Arquivo ou diretório inexistente
dpkg: erro ao limpar:
installed stremio package post-installation script subprocess returned error exit status 1
Erros foram encontrados durante o processamento de:
stremio

Não sei mais como prosseguir e tenho medo de ter que formatar por um errinho bobo. Desculpem-me pela ignorância, e obrigada pela ajuda!



  


2. MELHOR RESPOSTA

Paulo Jr
Pebis

(usa Debian)

Enviado em 06/10/2020 - 17:49h

Chaoli escreveu:

Pebis escreveu:

[quote]Chaoli escreveu:

posta a saída do comando abaixo:

cat /var/lib/dpkg/status | grep "Package: stremio" -A20



Segue o resultado:

Package: stremio
Status: deinstall reinstreq half-configured
Priority: optional
Section: misc
Installed-Size: 4952
Maintainer: [email protected]
Architecture: amd64
Version: 4.4.106-1
Config-Version: 4.4.106-1
Provides: stremio
Depends: nodejs, libmpv1 (>= 0.27.2), qml-module-qt-labs-platform (>= 5.9.5), qml-module-qtquick-controls (>= 5.9.5), qml-module-qtquick-dialogs (>= 5.9.5), qml-module-qtwebchannel (>= 5.9.5), qml-module-qtwebengine (>= 5.9.5)
Description: The next generation media center

Package: libmono-system-web-http-selfhost4.0-cil
Status: install ok installed
Priority: optional
Section: cli-mono
Installed-Size: 151
Maintainer: Ubuntu Developers <[email protected]>
Architecture: all
Source: mono

Obrigada pela ajuda!!

Deve ter adicionado um repositório pra instalar esse stremio. Se adicionou, remova-o e faça:

sudo apt update
sudo apt full-upgrade


SE não der tenta o comando abaixo (apesar de achar que não vai funcionar pois nem dpkg --force funcionou)

sudo apt-get remove -f

Se não der certo, tenta entra no arquivo e apagar o bloco inteiro referente ao pacote:
Faça:

sudo gedit /var/lib/dpkg/status

remova as linhas abaixo, salva e fecha

Package: stremio
Status: deinstall reinstreq half-configured
Priority: optional
Section: misc
Installed-Size: 4952
Maintainer: [email protected]
Architecture: amd64
Version: 4.4.106-1
Config-Version: 4.4.106-1
Provides: stremio
Depends: nodejs, libmpv1 (>= 0.27.2), qml-module-qt-labs-platform (>= 5.9.5), qml-module-qtquick-controls (>= 5.9.5), qml-module-qtquick-dialogs (>= 5.9.5), qml-module-qtwebchannel (>= 5.9.5), qml-module-qtwebengine (>= 5.9.5)
Description: The next generation media center

3. Re: Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente

Paulo Jr
Pebis

(usa Debian)

Enviado em 05/10/2020 - 20:13h

Chaoli escreveu:

Oi gente! Para começo de conversa, digo que acabei de migrar para o linux. Atualmente eu uso o Lubuntu 18.04.

Estava tentando baixar o stremio, mas aconteceu alguma coisa e meu gerenciador de pacotes não abre por nada. Segue o erro que aparece:

E: O pacote stremio precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.
E: Erro interno ao abrir o cache (1). Por favor reporte.

Depois de apertar ok ele fecha automaticamente, e sempre que eu abro aparece esse erro.

Tentei usar o comando sudo dpkg --remove --force-remove-reinstreq stremio, o resultado foi esse:

dpkg: aviso: a ultrapassar problema porque --force está activo:
dpkg: aviso: O pacote está num estado de inconsistência muito mau; deve
reinstalá-lo antes de tentar a remoção.
(Lendo banco de dados ... 221252 ficheiros e directórios actualmente instalados.)
A remover stremio (4.4.106-1) ...
/var/lib/dpkg/info/stremio.prerm: linha 7: cd: /opt/stremio/icons: Arquivo ou diretório inexistente
dpkg: erro ao processar o pacote stremio (--remove):
installed stremio package pre-removal script subprocess returned error exit status 1
xdg-desktop-menu: file '/opt/stremio/smartcode-stremio.desktop' does not exist
/var/lib/dpkg/info/stremio.postinst: linha 7: cd: /opt/stremio/icons: Arquivo ou diretório inexistente
dpkg: erro ao limpar:
installed stremio package post-installation script subprocess returned error exit status 1
Erros foram encontrados durante o processamento de:
stremio

Não sei mais como prosseguir e tenho medo de ter que formatar por um errinho bobo. Desculpem-me pela ignorância, e obrigada pela ajuda!


posta a saída do comando abaixo:

cat /var/lib/dpkg/status | grep "Package: stremio" -A20




4. Re: Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente [RESOLVIDO]

Lisa chao
Chaoli

(usa Lubuntu)

Enviado em 06/10/2020 - 13:21h

Pebis escreveu:

Chaoli escreveu:

Oi gente! Para começo de conversa, digo que acabei de migrar para o linux. Atualmente eu uso o Lubuntu 18.04.

Estava tentando baixar o stremio, mas aconteceu alguma coisa e meu gerenciador de pacotes não abre por nada. Segue o erro que aparece:

E: O pacote stremio precisa ser reinstalado, mas não foi possível encontrar um arquivo para o mesmo.
E: Erro interno ao abrir o cache (1). Por favor reporte.

Depois de apertar ok ele fecha automaticamente, e sempre que eu abro aparece esse erro.

Tentei usar o comando sudo dpkg --remove --force-remove-reinstreq stremio, o resultado foi esse:

dpkg: aviso: a ultrapassar problema porque --force está activo:
dpkg: aviso: O pacote está num estado de inconsistência muito mau; deve
reinstalá-lo antes de tentar a remoção.
(Lendo banco de dados ... 221252 ficheiros e directórios actualmente instalados.)
A remover stremio (4.4.106-1) ...
/var/lib/dpkg/info/stremio.prerm: linha 7: cd: /opt/stremio/icons: Arquivo ou diretório inexistente
dpkg: erro ao processar o pacote stremio (--remove):
installed stremio package pre-removal script subprocess returned error exit status 1
xdg-desktop-menu: file '/opt/stremio/smartcode-stremio.desktop' does not exist
/var/lib/dpkg/info/stremio.postinst: linha 7: cd: /opt/stremio/icons: Arquivo ou diretório inexistente
dpkg: erro ao limpar:
installed stremio package post-installation script subprocess returned error exit status 1
Erros foram encontrados durante o processamento de:
stremio

Não sei mais como prosseguir e tenho medo de ter que formatar por um errinho bobo. Desculpem-me pela ignorância, e obrigada pela ajuda!


posta a saída do comando abaixo:

cat /var/lib/dpkg/status | grep "Package: stremio" -A20



Segue o resultado:

Package: stremio
Status: deinstall reinstreq half-configured
Priority: optional
Section: misc
Installed-Size: 4952
Maintainer: [email protected]
Architecture: amd64
Version: 4.4.106-1
Config-Version: 4.4.106-1
Provides: stremio
Depends: nodejs, libmpv1 (>= 0.27.2), qml-module-qt-labs-platform (>= 5.9.5), qml-module-qtquick-controls (>= 5.9.5), qml-module-qtquick-dialogs (>= 5.9.5), qml-module-qtwebchannel (>= 5.9.5), qml-module-qtwebengine (>= 5.9.5)
Description: The next generation media center

Package: libmono-system-web-http-selfhost4.0-cil
Status: install ok installed
Priority: optional
Section: cli-mono
Installed-Size: 151
Maintainer: Ubuntu Developers <[email protected]>
Architecture: all
Source: mono

Obrigada pela ajuda!!


5. Re: Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 06/10/2020 - 14:50h

- atualize seu ubuntu pelo atualizador/programas e reinicie pc



6. Re: Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente [RESOLVIDO]

Lisa chao
Chaoli

(usa Lubuntu)

Enviado em 06/10/2020 - 18:11h

Deve ter adicionado um repositório pra instalar esse stremio. Se adicionou, remova-o e faça:

sudo apt update
sudo apt full-upgrade


SE não der tenta o comando abaixo (apesar de achar que não vai funcionar pois nem dpkg --force funcionou)

sudo apt-get remove -f

Se não der certo, tenta entra no arquivo e apagar o bloco inteiro referente ao pacote:
Faça:

sudo gedit /var/lib/dpkg/status

remova as linhas abaixo, salva e fecha

Package: stremio
Status: deinstall reinstreq half-configured
Priority: optional
Section: misc
Installed-Size: 4952
Maintainer: [email protected]
Architecture: amd64
Version: 4.4.106-1
Config-Version: 4.4.106-1
Provides: stremio
Depends: nodejs, libmpv1 (>= 0.27.2), qml-module-qt-labs-platform (>= 5.9.5), qml-module-qtquick-controls (>= 5.9.5), qml-module-qtquick-dialogs (>= 5.9.5), qml-module-qtwebchannel (>= 5.9.5), qml-module-qtwebengine (>= 5.9.5)
Description: The next generation media center


A última opção funcionou! Obrigada, eu já estava morrendo de medo kkkkkkk me salvou muito, espero que daqui há alguns anos eu possa estar ajudando outros também!


7. Re: Erro no Gerenciador de Pacotes Synaptic - usuária inexperiente [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 06/10/2020 - 22:16h


Chaoli escreveu:
A última opção funcionou! Obrigada, eu já estava morrendo de medo kkkkkkk me salvou muito, espero que daqui há alguns anos eu possa estar ajudando outros também!


Bom que deu certo! Ótimo pensamento esse de ajudar outros...






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts